MLAPI API Reference

# NetId Structure

[This is preliminary documentation and is subject to change.]

Represents a ClientId structure

Namespace: MLAPI.Data
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public struct NetId

Request Example
View Source

The NetId type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| NetId(UInt32) | Initializes a new instance of the netId struct from a clientId
| NetId(Byte, UInt16, Boolean, Boolean) | Initializes a new instance of the netId struct from transport values

Top
Properties

| Name | Description
--- | --- | ---
| ServerNetId | Static ServerNetId for comparison

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current NetId. (Overrides ValueType Equals(Object).)
| GetClientId | Gets the clientId.
| GetHashCode | Serves as a hash function for a NetId object. (Overrides ValueType GetHashCode .)
| GetType | (Inherited from Object.)
| IsHost | Returns wheter or not the clientId represents a -1
| IsInvalid | Returns if this is a invalid clientId, (-2)
| ToString | (Inherited from ValueType.)

Top
Operators

| Name | Description
--- | --- | ---
| Equality | Determines whether a specified instance of NetId is equal to another specified NetId.
| Inequality | Determines whether a specified instance of NetId is not equal to another specified NetId.

Top
Fields

| Name | Description
--- | --- | ---
| ConnectionId | The connectionId this client is assigned
| HostId | The hostId this client is on
| Meta | Meta data about hte client

Top
See Also

#### Reference

MLAPI.Data Namespace